org.apache.maven.scm.command.blame

## Class BlameScmRequest

- java.lang.Object
- - org.apache.maven.scm.ScmRequest
  - - org.apache.maven.scm.command.blame.BlameScmRequest

All Implemented Interfaces:
  Serializable

    public class BlameScmRequest
    extends ScmRequest

Since:
  1.8
Author:
  Olivier Lamy
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmRequest

`parameters`

### Constructor Summary

Constructors
Constructor and Description
`BlameScmRequest(ScmRepository scmRepository, ScmFileSet scmFileSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFilename()`
`boolean` `isIgnoreWhitespace()`
`void` `setFilename(String filename)`
`void` `setIgnoreWhitespace(boolean ignoreWhitespace)`

### Methods inherited from class org.apache.maven.scm.ScmRequest

`getCommandParameters, getScmFileSet, getScmRepository, setScmFileSet, setScmRepository`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlameScmRequest

    public BlameScmRequest(ScmRepository scmRepository,
                           ScmFileSet scmFileSet)

### Method Detail

#### setFilename

    public void setFilename(String filename)
                     throws ScmException

Throws:
  `ScmException`

#### getFilename

    public String getFilename()
                       throws ScmException

Throws:
  `ScmException`

#### isIgnoreWhitespace

    public boolean isIgnoreWhitespace()

#### setIgnoreWhitespace

    public void setIgnoreWhitespace(boolean ignoreWhitespace)
                             throws ScmException

Throws:
  `ScmException`